soft_uart_tx_state Struct Reference

UART transmit state definition. More...

## Data Fields

uint32_t | port
| UART receive port.
uint16_t | pin
| UART receive pin.
uint32_t | rcc
| UART receive port peripheral clock.
uint32_t | baudrate
| UART receive baud rate.
volatile uint8_t | bit
| next UART frame bit to transmit
volatile uint8_t | byte
| byte being transmitted
volatile uint8_t | buffer [UART_SOFT_BUFFER]
| receive buffer
volatile uint8_t | buffer_i
| index of current data to be read out
volatile uint8_t | buffer_used
| how much data is available
volatile bool | transmit
| flag to know it transmission is ongoing

## Detailed Description

UART transmit state definition.

Definition at line 82 of file uart_soft.c.

The documentation for this struct was generated from the following file:

- lib/uart_soft.c